/*
 * ObjectsVector.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsVector.h"
#include <container/Container.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < container::ObjectsVector < > > ( );
static auto stringReaded = registration::StringReaderRegister < object::Object, container::ObjectsVector < > > ( );

static auto stringWriteGroup = registration::StringWriterRegisterTypeInGroup < object::Object, container::ObjectsVector < > > ( );
static auto stringReadedGroup = registration::StringReaderRegisterTypeInGroup < object::Object, container::ObjectsVector < > > ( );

} /* namespace */
