/*
 * CFG.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "AnyObject.h"
#include <object/Object.h>
#include <primitive/string/Unsigned.h>
#include <container/string/ObjectsPair.h>
#include <container/string/ObjectsSet.h>
#include <container/string/ObjectsVector.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWriteGroup0 = registration::StringWriterRegisterTypeInGroup < object::Object, object::AnyObject < ext::vector < object::Object > > > ( );
static auto stringWriteGroup1 = registration::StringWriterRegisterTypeInGroup < object::Object, object::AnyObject < ext::set < object::Object > > > ( );
static auto stringWriteGroup2 = registration::StringWriterRegisterTypeInGroup < object::Object, object::AnyObject < ext::pair < object::Object, object::Object > > > ( );
static auto stringWriteGroup3 = registration::StringWriterRegisterTypeInGroup < object::Object, object::AnyObject < unsigned > > ( );
static auto stringWriteGroup4 = registration::StringWriterRegisterTypeInGroup < object::Object, object::AnyObject < ext::pair < unsigned, unsigned > > > ( );

} /* namespace */
