/*
 * ObjectsPair.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsPair.h"
#include <container/Container.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < container::ObjectsPair < > > ( );
static auto stringReader = registration::StringReaderRegister < object::Object, container::ObjectsPair < > > ( );

static auto stringWriteGroup = registration::StringWriterRegisterTypeInGroup < object::Object, container::ObjectsPair < > > ( );
static auto stringReaderGroup = registration::StringReaderRegisterTypeInGroup < object::Object, container::ObjectsPair < > > ( );

} /* namespace */
